public class SchwingerModell extends Modell
{
    private double C,D,m;
    
    public SchwingerModell()
    {
        C=3.0;
        D=1.0;
        m=2.0;
        
        f = new double[2];
    }

    public int holeAnzahlGleichungen()
    {
        return 2;
    }    
    public void berechneRechteSeite(double[] y, double t)
    {
        double x = y[0];
        double v = y[1];
        
        f[0] = v;
        f[1] = -(C/m)*x - (D/m)*v;        
    }
}
